<?php
/**
 * Created by PhpStorm.
 * User: hp
 * Date: 2017/11/20
 * Time: 15:59
 */

Route::group(['domain'=>env('MANAGE_DOMAIN'),'namespace'=>'App\Http\Controllers\Manage\Manage','prefix'=>'api'],function () {
    
    //登陆相关 无须登录校验
    Route::any('auth/login','AuthController@login');

    Route::any('auth/business','ManageController@getBusiness');

    //修改密码需登录
    Route::post('auth/modifyPassword','ChannelController@modifyPassword');

    Route::get('channel/getChannelAccountSmsCode','ManageController@getChannelAccountSms');
    
    // 账号管理
    Route::any('channel/addAccount','AccountController@addAccount');
    Route::any('channel/updateAccount','AccountController@updateAccount');
    Route::any('channel/getAccounts','AccountController@getAccounts');
    Route::any('channel/get_role_list','AccountController@get_role_list');
    Route::any('channel/get_edit_user_priv_list','AccountController@get_edit_user_priv_list');
    
});
